Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1076)

Issue 4174056: net: fix multicast tests (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 2 months ago by dfc
Modified:
3 years, 1 month ago
Reviewers:
CC:
rsc, mikio, rsc1, dho, golang-dev
Visibility:
Public.

Description

net: fix multicast tests

Patch Set 1 #

Patch Set 2 : diff -r f814f61fdbab https://go.googlecode.com/hg/ #

Total comments: 4

Patch Set 3 : diff -r afc3d9f30d78 https://go.googlecode.com/hg/ #

Patch Set 4 : diff -r afc3d9f30d78 https://go.googlecode.com/hg/ #

Patch Set 5 : diff -r 8e157f1abc87 https://go.googlecode.com/hg/ #

Patch Set 6 : diff -r 8e157f1abc87 https://go.googlecode.com/hg/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -1 line) Patch
M src/pkg/net/multicast_test.go View 1 2 3 4 5 3 chunks +3 lines, -1 line 0 comments Download

Messages

Total messages: 17
mikio
http://codereview.appspot.com/4174056/diff/2001/src/pkg/net/multicast_test.go File src/pkg/net/multicast_test.go (right): http://codereview.appspot.com/4174056/diff/2001/src/pkg/net/multicast_test.go#newcode28 src/pkg/net/multicast_test.go:28: mcast := IPv4(224, 7, 7, 7) 224.0.1/24 is internet ...
3 years, 2 months ago #1
rsc1
I don't know anything about multicast addresses. If you guys can come to an agreement ...
3 years, 2 months ago #2
mikio
On Thu, Feb 17, 2011 at 9:43 AM, <rsc@google.com> wrote: > If you guys can ...
3 years, 2 months ago #3
rsc1
So is the correct change 224.0.0.251 -> 224.0.0.254 ? Was there a reason the original ...
3 years, 2 months ago #4
mikio
On Thu, Feb 17, 2011 at 10:33 AM, Russ Cox <rsc@google.com> wrote: > So is ...
3 years, 2 months ago #5
dfc
I can't reproduce it on a VM, and the freebsd/386 build passes with the same ...
3 years, 2 months ago #6
dfc
Mikioh, RSC, please take another look. I've asked Devon to try this patch directly to ...
3 years, 2 months ago #7
dho
Hi guys, I'll be able to test this momentarily when I get home... --dho 2011/2/17 ...
3 years, 2 months ago #8
dho
So, I applied the requested patch, but it seems to only fix Makefiles. I tried ...
3 years, 2 months ago #9
dfc
Sorry, that may have been my mistake, I may have given you the wrong cl ...
3 years, 2 months ago #10
dfc
According to dho the last patch did not fix the issue. I have changed the ...
3 years, 2 months ago #11
dho
On 2011/02/18 01:58:02, dfc wrote: > According to dho the last patch did not fix ...
3 years, 2 months ago #12
rsc1
Please re-enable the test and delete the flag, since we fixed FreeBSD.
3 years, 2 months ago #13
dfc
Please take another look. This final patchset updates the mcast address, but leaves the test ...
3 years, 2 months ago #14
rsc1
LGTM Thanks.
3 years, 2 months ago #15
mikio
LGTM
3 years, 2 months ago #16
rsc
3 years, 2 months ago #17
*** Submitted as http://code.google.com/p/go/source/detail?r=3ccbde90814f ***

net: fix multicast tests

R=rsc, mikioh, rsc1, dho
CC=golang-dev
http://codereview.appspot.com/4174056

Committer: Russ Cox <rsc@golang.org>
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1278:e6ce13d99bf5